Skip to content

Set postal tracking details for this online transaction

Request

Add tracking details for the guest seller specified in the header as Trustap-User.

Security
APIKey
Path
transaction_idinteger, (int64)required
Headers
Trustap-Userstring

Required in client flows, where you make API calls on behalf of another Trustap user.

Bodyapplication/jsonrequired
carrierstring, non-emptyrequired
Example:"ups"
tracking_codestring, non-emptyrequired
Example:"***"
POST
/api/v1/transactions/{transaction_id}/track_with_guest_seller
curl -i -X POST \
  -u '<API_KEY>:​' \
  'https://dev.stage.trustap.com/api/v1/transactions/{transaction_id}/track_with_guest_seller' \
  -H 'Content-Type: application/json' \
  -H 'Trustap-User: string' \
  -d '{
    "carrier": "ups",
    "tracking_code": "***"
  }'

Responses

OK

Bodyapplication/json
amount_refundedinteger, (int64)
amount_releasedinteger, (int64)
buyer_idstring
Example:"feb33a87-3917-4538-9260-127c8a6b5232"
cancelledstring, (date-time)
chargeinteger, (int64)required
Example:78
charge_buyer_clientinteger, (int64)required
Example:0
charge_international_paymentinteger, (int64)
charge_postage_buyerinteger, (int64)
charge_postage_clientinteger, (int64)
charge_sellerinteger, (int64)required
Example:0
charge_seller_clientinteger, (int64)required
Example:0
claimed_by_buyerstring, (date-time)
client_idstringrequired
Example:"trustap-app"
complainedstring, (date-time)
complaintobject(Complaint)
Example:
{ "description": "Item was fake" }
complaint_period_deadlinestring, (date-time)
complaint_period_endedstring, (date-time)
createdstring, (date-time)required
Example:"2019-12-25T09:00:00Z"
currencystringrequired

The currency of the transaction. Note that, at present, the buyer must pay using the transaction's currency and the seller will be paid in the transaction's currency.

Example:"eur"
deliveredstring, (date-time)
Example:"2019-12-25T13:00:00Z"
deniedstring, (date-time)
descriptionstringrequired
Example:"Soccer ticket"
funds_releasedstring, (date-time)
Example:"2019-12-26T14:00:00Z"
idinteger, (int64)required
Example:1309
image_urlstring, (absolute_url)

URL of the image displayed on the Trustap payment page to show the buyer the item they are paying for. Supports jpg, png, gif, bmp and svg files. Images displayed as a squares. Non-square images are cropped

is_payment_in_progressbooleanrequired

If the transaction is paid via a delayed payment method, such as SEPA debit, this field will be true until the payment has fully succeeded or failed.

Example:false
join_codestring
joinedstring, (date-time)
Example:"2019-12-25T10:00:00Z"
listing_creator_acceptedstring, (date-time)
listing_creator_rejectedstring, (date-time)
listing_idstring

If the transaction is created from a listing then this is the ID of that listing; otherwise this property is omitted.

listing_typestring(ListingType)
Enum:"single_use""multi_use"
Example:"single_use"
order_issueobject(OrderIssue)
Example:
{ "description": "Delivery delayed" }
order_issue_raisedstring, (date-time)
paidstring, (date-time)
Example:"2019-12-25T11:00:00Z"
payment_acceptedstring, (date-time)
payment_refundedstring, (date-time)
posta_hr_trackingobject(PostaHrTracking)
Example:
{ "barcode": "ABC123456", "barcode_generated": "2019-12-26T14:00:00Z" }
priceinteger, (int64)required
Example:1234
quantityinteger, (int64)required
Example:1
refundsArray of objects(basic.Refund)
released_to_sellerboolean
reviewobject(basic.Review)
review_flaggedstring, (date-time)
seller_idstring
Example:"ad5bb99f-85bf-47e1-be0d-15e7541c6ad7"
shippo_transaction_idstring
statusstringrequired
Example:"funds_released"
trackedstring, (date-time)
Example:"2019-12-25T12:00:00Z"
trackingobject(Tracking)
Example:
{ "carrier": "ups", "tracking_code": "***" }
tracking_details_deadlinestring, (date-time)
tracking_details_window_startedstring, (date-time)
Response
{ "buyer_id": "feb33a87-3917-4538-9260-127c8a6b5232", "charge": 78, "charge_buyer_client": 0, "charge_seller": 0, "charge_seller_client": 0, "client_id": "trustap-app", "created": "2019-12-25T09:00:00Z", "currency": "eur", "delivered": "2019-12-25T13:00:00Z", "description": "Soccer ticket", "funds_released": "2019-12-26T14:00:00Z", "id": 1309, "is_payment_in_progress": false, "joined": "2019-12-25T10:00:00Z", "paid": "2019-12-25T11:00:00Z", "posta_hr_tracking": { "barcode": "ABC12345", "barcode_generated": "2019-12-25T12:00:00Z" }, "price": 1234, "quantity": 1, "seller_id": "ad5bb99f-85bf-47e1-be0d-15e7541c6ad7", "status": "funds_released", "tracked": "2019-12-25T12:00:00Z", "tracking": { "carrier": "ups", "tracking_code": "***" } }